libiw-dev_30~pre9-8ubuntu1_amd64.deb


Advertisement

Description

libiw-dev - Wireless tools - development files

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libiw-dev_30~pre9-8ubuntu1_amd64.deb
Package name libiw-dev
Package version 30~pre9
Package release 8ubuntu1
Package architecture amd64
Package type deb
Category libdevel
Homepage http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
License -
Maintainer Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 37.35 KB
Installed size 160.00 KB
Wireless tools are used to manipulate the Linux Wireless Extensions. The
Wireless Extension is an interface allowing you to set Wireless LAN specific
parameters and get the specific stats.
This package contains the header files and static version of libiw.

Alternatives

Package Version Architecture Repository
libiw-dev_30~pre9-8ubuntu1_i386.deb 30~pre9 i386 Ubuntu Main
libiw-dev - - -

Requires

Name Value
libc6-dev -
libiw30 = 30~pre9-8ubuntu1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libiw-dev_30~pre9-8ubuntu1_amd64.deb
Source Package wireless-tools

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libiw-dev deb package:
    # sudo apt-get install libiw-dev

Files

Path
/usr/include/iwlib.h
/usr/include/wireless.h
/usr/lib/x86_64-linux-gnu/libiw.a
/usr/lib/x86_64-linux-gnu/libiw.so
/usr/share/doc/libiw-dev/README.gz
/usr/share/doc/libiw-dev/changelog.Debian.gz
/usr/share/doc/libiw-dev/copyright

Changelog

2012-05-03 - Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>
wireless-tools (30~pre9-8ubuntu1) quantal; urgency=low
* Merge with Debian; remaining changes:
- compiler-link-order.patch: libraries must be specified after the
object/library that needs them otherwise nothing is used from them.
- Remove the ifrename package; it conflicts with our own udev package
which provides /etc/iftab support.
- Add iwlist and iwevent to the wireless-tools udeb.
2011-12-23 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre9-8) unstable; urgency=low
* Add type to IMPORT keyword in ifrename's udev rules file. Closes: #650606
2011-11-14 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre9-7) unstable; urgency=low
* Add missing Build-Depend on dpkg-dev. Closes: #644744
* Set key values after setting default key and key mode. Closes: #624603
2011-10-02 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre9-6) unstable; urgency=low
* Apply patch from Riku Voipio to support multiarch. Closes: #642434
* Bump Standards-Version.
* Provide build-arch and build-indep targets in debian/rules. 
* Use /usr/share/dpkg/default.mk in debian/rules.
* Allow CFLAGS to be set from debian/rules.
2012-02-29 - Martin Pitt <martin.pitt@ubuntu.com>
wireless-tools (30~pre9-5ubuntu2) precise; urgency=low
* No-change rebuild against current pkgbinarymangler to fix broken
md5sums. (see LP #875466)
2011-05-04 - Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>
wireless-tools (30~pre9-5ubuntu1) oneiric; urgency=low
* Merge with Debian; remaining changes (LP: #777358):
- compiler-link-order.patch: libraries must be specified after the
object/library that needs them otherwise nothing is used from them.
- Remove the ifrename package; it conflicts with our own udev package
which provides /etc/iftab support.
- Add iwlist and iwevent to the wireless-tools udeb.
* debian/patches/series: drop the debian-* patches introduced from various
previous Ubuntu changes.
* debian/rules,
debian/wireless-tools.install:
yank out rfkill, which is now shipped in its own package which we get from
Debian. (LP: #711860)
2010-07-04 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre9-5) unstable; urgency=low
* Apply patch from Steve Langesak clarifying the iftab manpage.
Closes: #528324
* Bump Standards-Version.
* Only build wireless-tools on Linux.
2010-01-23 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre9-4) unstable; urgency=low
* Let ifrename udev rules be priority 19 instead of 019. Closes: #560801
* Use udev rules from upstream. Closes: #556441
* Depend on ${misc:Depends}.
2010-12-17 - Andy Whitcroft <apw@canonical.com>
wireless-tools (30~pre9-3ubuntu6) natty; urgency=low
* compiler-link-order.patch: libraries must be specified after the
object/library that needs them otherwise nothing is used from them.
This used to work with older compilers but is not guarenteed behaviour,
adjust ordering to match.
* header-with-2.6.36.patch (dropped): this patch is no longer required.
2010-11-09 - Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>
wireless-tools (30~pre9-3ubuntu5) natty; urgency=low
* header-with-2.6.36.patch: Replace the if.h header used in iwlib.h by
the one provided by the kernel instead of using the one from libc. The
kernel headers now provide the same structures and linux/if.h would
otherwise conflict, since it gets pulled in from wireless.h. (LP: #672584)

See Also

Package Description
libiw30_30~pre9-8ubuntu1_amd64.deb Wireless tools - library
libixion-0.10-0v5_0.9.1-3ubuntu1_amd64.deb general purpose formula parser & interpreter library
libixion-dev_0.9.1-3ubuntu1_amd64.deb general purpose formula parser & interpreter library -- development
libjack-jackd2-0_1.9.10+20150825git1ed50c92~dfsg-1ubuntu1_amd64.deb JACK Audio Connection Kit (libraries)
libjack-jackd2-dev_1.9.10+20150825git1ed50c92~dfsg-1ubuntu1_amd64.deb JACK Audio Connection Kit (development files)
libjakarta-taglibs-standard-java_1.1.2-4_all.deb Implementation of JSP Standard Tag Library (JSTL)
libjansson-dev_2.7-3_amd64.deb C library for encoding, decoding and manipulating JSON data (dev)
libjansson-doc_2.7-3_all.deb C library for encoding, decoding and manipulating JSON data (doc)
libjansson4_2.7-3_amd64.deb C library for encoding, decoding and manipulating JSON data
libjasper-dev_1.900.1-debian1-2.4ubuntu1_amd64.deb Development files for the JasPer JPEG-2000 library
libjasper1_1.900.1-debian1-2.4ubuntu1_amd64.deb JasPer JPEG-2000 runtime library
libjavascriptcoregtk-4.0-18_2.10.9-1ubuntu1_amd64.deb JavaScript engine library from WebKitGTK+
libjavascriptcoregtk-4.0-dev_2.10.9-1ubuntu1_amd64.deb JavaScript engine library from WebKitGTK+ - development files
libjaxp1.3-java-gcj_1.3.05-2ubuntu3_amd64.deb Java XML parser and transformer APIs (DOM, SAX, JAXP, TrAX) - GCJ
libjaxp1.3-java_1.3.05-2ubuntu3_all.deb Java XML parser and transformer APIs (DOM, SAX, JAXP, TrAX)
Advertisement
Advertisement